Bug 564808 - FTBFS perl-CSS-1.08-6.fc13
Summary: FTBFS perl-CSS-1.08-6.fc13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CSS
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F13FTBFS
TreeView+ depends on / blocked
 
Reported: 2010-02-13 16:58 UTC by FTBFS
Modified: 2010-02-20 00:11 UTC (History)
1 user (show)

Fixed In Version: perl-CSS-1.08-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-18 18:43:58 UTC


Attachments (Terms of Use)
root.log (45.70 KB, text/plain)
2010-02-13 16:58 UTC, FTBFS
no flags Details
build.log (10.46 KB, text/plain)
2010-02-13 16:58 UTC, FTBFS
no flags Details
mock.log (952 bytes, text/plain)
2010-02-13 16:58 UTC, FTBFS
no flags Details
root.log (54.35 KB, text/plain)
2010-02-13 16:58 UTC, FTBFS
no flags Details
build.log (10.06 KB, text/plain)
2010-02-13 16:58 UTC, FTBFS
no flags Details
mock.log (960 bytes, text/plain)
2010-02-13 16:58 UTC, FTBFS
no flags Details
Script to rebuild the compiled grammar (248 bytes, text/plain)
2010-02-17 11:43 UTC, Paul Howarth
no flags Details

Description FTBFS 2010-02-13 16:58:30 UTC
perl-CSS-1.08-6.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2010-02-13 16:58:33 UTC
Created attachment 391843 [details]
root.log

root.log for i386

Comment 2 FTBFS 2010-02-13 16:58:34 UTC
Created attachment 391844 [details]
build.log

build.log for i386

Comment 3 FTBFS 2010-02-13 16:58:36 UTC
Created attachment 391845 [details]
mock.log

mock.log for i386

Comment 4 FTBFS 2010-02-13 16:58:37 UTC
Created attachment 391846 [details]
root.log

root.log for x86_64

Comment 5 FTBFS 2010-02-13 16:58:38 UTC
Created attachment 391847 [details]
build.log

build.log for x86_64

Comment 6 FTBFS 2010-02-13 16:58:39 UTC
Created attachment 391848 [details]
mock.log

mock.log for x86_64

Comment 7 Paul Howarth 2010-02-17 11:43:09 UTC
Created attachment 394716 [details]
Script to rebuild the compiled grammar

The problem can be fixed by rebuilding the compiled grammar module.

Add the attached script as Source1 in the package, then add the following lines to %prep after the %setup line:

# Regenerate CSS::Parse::CompiledGrammar (#564808, CPAN RT#53948)
%{__perl} %{SOURCE1}
mv CompiledGrammar.pm CSS/Parse/

The resulting package will pass the test suite:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1993143

Comment 8 Terje Røsten 2010-02-18 18:43:58 UTC
Thanks for the fix, Paul! 

Built in rawhide: 

 http://koji.fedoraproject.org/koji/buildinfo?buildID=157276

Comment 9 Fedora Update System 2010-02-18 18:53:06 UTC
perl-CSS-1.08-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CSS-1.08-7.fc13

Comment 10 Fedora Update System 2010-02-20 00:11:03 UTC
perl-CSS-1.08-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.